Skip to main content
POST
/
auth
/
organization
/
remove-member
Remove Organization Member
curl --request POST \
  --url https://cloud.kaneo.app/api/auth/organization/remove-member \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memberIdOrEmail": "<string>",
  "organizationId": "<string>"
}
'
{
  "member": {
    "id": "<string>",
    "userId": "<string>",
    "organizationId": "<string>",
    "role": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
memberIdOrEmail
string
required

The ID or email of the member to remove

organizationId
string | null

The ID of the organization to remove the member from. If not provided, the active organization will be used. Eg: "org-id"

Response

Success

member
object
required